/**
 * @file compose_smime.h
 *
 * This file contains function headers for composing an S/MIME message.
 *
 *  Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */


#ifndef __COMPOSE_SMIME_H__
#define __COMPOSE_SMIME_H__


#include <glib.h>
#include "common.h"
#include "prefs_account.h"
#include "procmsg.h"
#include "procmime.h"
#include "compose.h"

gint compose_write_smime_to_file(const gchar * message, GSList * attach_list,
				 const gchar * file,
				 const PrefsAccount * prefs_account,
				 MsgInfo * msginfo, ComposeInfo * composeinfo);

gint compose_write_headers_for_smime(FILE * fp, FILE * filep,
				     const gchar * charset,
				     EncodingType encoding,
				     const PrefsAccount * account,
				     MsgInfo * msginfo, ComposeInfo * composeinfo);



#endif				/* __COMPOSE_SMIME_H__ */
