/**
 * @file imap_log.h
 * 
 * This file contains the headers of the logging util used to 
 * log the results of the UTC.
 *
 *  Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */  
    
#ifndef __IMAP_LOG_H__
#define __IMAP_LOG_H__
    
#include <stdio.h> 
#include <stdlib.h> 
    
#define UTC_SUCCESS  1
#define UTC_FAILED  -1
    
#define RECORD_STRUCT 	"UTC Number: %s Result: %s Remark: %s\n"
    
/* This function opens the LOG file for writting */ 
void init_log(char *);


/* This function form the complete result string and write info LOG file */ 
void log_result(char *utc_no, int result, char *remark);


/* This function stop writting into LOG file by closing the file */ 
void stop_log();


#endif				/* 
 */
