
/**
 * @file pop3_msgs.h
 *
 * This file contains all pop3 error numbers 
 *
 *  Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */

#ifndef __POP_MSGS_H__
#define __POP_MSGS_H__


#define POP3_MSG_BASE	2000
#define POP3_DISPLAY_COUNT 10

#define POP3_MSG_RECV_SUCCESS	(POP3_MSG_BASE + 1)

#define POP3_MSG_CONNECT_ERROR	(POP3_MSG_BASE + 2)

#define POP3_MSG_AUTH_ERROR	(POP3_MSG_BASE + 3)

#define POP3_MSG_LOCK_ERROR	(POP3_MSG_BASE + 4)

#define POP3_MSG_RECV_ERROR	(POP3_MSG_BASE + 5)

#define POP3_MSG_RECV_CANCEL	(POP3_MSG_BASE + 6)

#define POP3_MSG_IO_ERROR	(POP3_MSG_BASE + 7)

#define POP3_MSG_SOCKET_ERROR	(POP3_MSG_BASE + 8)

#define POP3_MSG_SESSION_ERROR	(POP3_MSG_BASE + 9)

#define POP3_MSG_EOF		(POP3_MSG_BASE + 10)

#define POP3_MSG_PROGRESS	(POP3_MSG_BASE + 11)

#define POP3_MSG_LIST_ERROR	(POP3_MSG_BASE + 12)

#define POP3_MSG_ID_ERROR	(POP3_MSG_BASE + 13)

#define POP3_MSG_NOSUPPORT_ERROR	(POP3_MSG_BASE + 14)

#define POP3_MSG_SIZELIMIT_ERROR	(POP3_MSG_BASE + 15)

#define POP3_MSG_DELETE_ERROR	(POP3_MSG_BASE + 16)

#define POP3_MSG_SSL_ERROR	(POP3_MSG_BASE + 17)

#define POP3_MSG_CONNECT_SUCCESS	(POP3_MSG_BASE + 18)

#define POP3_MSG_START	                (POP3_MSG_BASE + 19)

#define POP3_MSG_PASSWD_FAIL            (POP3_MSG_BASE + 20)

#define POP3_CONNECTION_FLIGHT_MODE     (POP3_MSG_BASE + 21)

#define POP3_MSG_COMPLETE               (POP3_MSG_BASE + 22)

#define POP3_PASSWD_WRONG               (POP3_MSG_BASE + 23)

#define POP3_MSG_DOWNLOAD               (POP3_MSG_BASE + 24)

#endif				/* __POP_MSGS_H__ */
