/*
 * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999-2003 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PREFS_H__
#define __PREFS_H__

#include <glib.h>
#include <stdio.h>

#define 	PREFSBUFSIZE	1024

typedef struct _PrefParam PrefParam;
typedef struct _PrefFile PrefFile;

typedef enum {
	P_STRING,
	P_INT,
	P_BOOL,
	P_ENUM,
	P_USHORT,
	P_OTHER
} PrefType;

struct _PrefParam {
	gchar *name;
	gpointer data;
	PrefType type;
	gint len;
};

struct _PrefFile {
	FILE *fp;
	gchar *path;
};

PrefFile *prefs_file_open(const gchar * path);
gint prefs_file_close(PrefFile * pfile);
gint prefs_file_write_param(PrefFile * pfile, PrefParam * param);
gboolean prefs_read_config(PrefParam * param, const gchar * label, const gchar * rcfile);
gint prefs_file_close_revert(PrefFile * pfile);
void prefs_free(PrefParam * param);
#endif				/* __PREFS_H__ */
