/**
 * @file acct_cb.c
 *
 * This file contains account module related callback functions for UI.  
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */

#include <stdlib.h>
#include <glib.h>
#include "al_callbacks.h"
#include "libosso.h"

/*UI header files*/
#include "ui_al_callbacks.h"

/**
   This function is called to inform the UI module about error occured 
   in Account Module 
   @param error_code Account module related error
   @return none 
*/

void acct_error_code_cb(gint error_code)
{
	if (error_code != 0) {
		osso_log(LOG_INFO, "Acct Module error code is %d", error_code);
		ui_set_msg_cb(error_code);
		return;
	}
}
