/**
 * @file  accountMgmt_callback.h
 *
 * This file contains the signal handler declarations for account 
 * management module of OSSO_EMAIL.
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */


#ifndef __ACCOUNTMGMT_CALLBACK_H__
#define __ACCOUNTMGMT_CALLBACK_H__

#include "al.h"
#include "accountMgmt.h"
/* Hash Defines for this file */
#define MIN_SIZELIMIT   1
#define DEFAULT_STARTTIME  900
#define DEFAULT_ENDTIME  1800
#define DEFAULT_INTERVAL 30
#define ONE 1
#define OFF 0
#define DEFAULT_SIZELIMIT   1000
#define NUM_DOMAIN      246
#define MAX_SIZELIMIT   5000
#define LOWER_OUTPORT   1
#define LOWER_PORT      1
#define BUTTON_OK      -5
#define BUTTON_CANCEL  -6
#define UPPER_PORT      65535
#define DEFAULT_IMAP_PORT 143
#define DEFAULT_POP3_PORT 110
#define UPPER_OUTPORT   65535
#define RESTRICTED_CHARS "\\ / : * ? \" < > | ^"
#define RESTRICTED_NAME_CHARS "<>"
enum {
	ACCOUNT_DIALOG1 = 0,
	ACCOUNT_DIALOG2,
	ACCOUNT_DIALOG3,
	ACCOUNT_DIALOG4,
	RETRIEVAL_DIALOG,
	SENDING_DIALOG,
	SMTPSERVER_DIALOG,
	OTHERS_DIALOG,
};

typedef enum {
	SAVE_SETUP1 = 0,
	SAVE_SETUP2,
	SAVE_SETUP3,
	SAVE_SETUP_ALL
} SaveSetup;

typedef struct _accountFlag {
	gboolean account_preedit;
	gboolean account_commit;
} accountFlag;
typedef struct _serverSettingFlag {
	gboolean opserver_flag;
	gboolean outputserver_commit;
	gboolean ipserver_flag;
	gboolean ipserver_commit;
} serverSettingFlag;
typedef struct _userSettingFalg {
	gboolean username_flag;
	gboolean email_flag;
	gboolean username_commit;
	gboolean email_commit;
} userSettingFlag;

void ui_accmgmt_next_insensitive_press_cb(GtkWidget * button, gchar * message);
void check_update_accname_entry (GtkEditable * editable,
		                gchar *text, gint len, gint *position, gpointer data);
void ui_accmgmt_acctentrychanged_cb(GtkEditable * editable, gpointer user_data);
void accountsetupon_delete_cb(GtkWidget * win, GtkWidget * ptr);
void ui_accmgmt_accountsetupcallbacknext2_cb(GtkWidget * widget, GSList * data);
void ui_accmgmt_accountsetupcallbackadvance_cb(GtkWidget * widget, gpointer * ptr);

gboolean ui_accmgmt_onadvancesizelimit_cb(GtkWidget * widget, GdkEventFocus * event, gpointer data);

gboolean ui_accmgmt_onadvanceinport_cb(GtkWidget * widget, GdkEventFocus * event, gpointer data);
gboolean ui_accmgmt_onadvanceoutport_cb(GtkWidget * widget, GdkEventFocus * event, gpointer data);
void ui_accmgmt_onadvanceport_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbacknext1_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbacknext3_cb(GtkWidget * widget, gpointer data);
/*@null@*/ void ui_accmgmt_callback_onnext_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_callbackfinish1_cb(GtkWidget * window, gpointer data);
void ui_accmgmt_callbackfinish2_cb(GtkWidget * window, gpointer data);
void ui_accmgmt_callbackfinish3_cb(GtkWidget * window, gpointer data);
void ui_accmgmt_callbackfinish4_cb(GtkWidget * window, gpointer data);
void ui_accmgmt_callbackfinishadv_cb(GtkWidget * window, gpointer data);
/*@unused@*/ void ui_accmgmt_accountsetupcallbackcancel1_cb(GtkWidget * widget, gpointer data);
/*@unused@*/ void ui_accmgmt_accountsetupcallbackcancel2_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackcancel3_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackcancel4_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackcancel5_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_advancecancel_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackback1_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackback2_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackback3_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetupcallbackback4_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_onadvanceback_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_onclose_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_onedit_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_accountsetuponsending_cb(GtkWidget * win, GSList * ptr);
void ui_accmgmt_accountsetuponsmtpserver_cb(GtkWidget * win, GSList * ptr);
void ui_accmgmt_accountsetuponother_cb(GtkWidget * win, GSList * ptr);
void ui_accmgmt_accountsetuponretrieve_cb(GtkWidget * win, GSList * ptr);
void ui_accmgmt_dialogmessagenext(GtkWidget * window, gchar * s);
void ui_accmgmt_dialogmessagecancel(GtkWidget * window);
void ui_accmgmt_onsetdefault_cb(GtkWidget * win, gpointer data);
void ui_accmgmt_freeprefsaccount(PrefsAccount * ipstruct1);
int ui_accmgmt_email_isvalid(const char *address);
void ui_accmgmt_dialogmessagecancel1(GtkWidget * window);
gboolean ui_accmgmt_copyprefsaccount();
void ui_accmgmt_dialogmessagecancel2(GtkWidget * window);
void ui_accmgmt_dialogmessagecancel2(GtkWidget * window);
void ui_accmgmt_delete_inport_cb(GtkEditable * editable, gint start_pos, gint end_pos,
				 gpointer user_data);
void ui_accmgmt_delete_sizelimit_cb(GtkEditable * editable, gint start_pos, gint end_pos,
				    gpointer user_data);
void ui_accmgmt_onsmtpauthtype_cb(GtkEditable * editable, gpointer data);
gboolean ui_accMgmt_validate_account(PrefsAccount * account_info);
void
ui_accmgmt_delete_outport_cb(GtkEditable * editable, gint start_pos, gint end_pos,
			     gpointer user_data);
void ui_accMgmt_onsecureport_cb(GtkWidget * win, gpointer data);
void ui_acctmgmt_initialize(PrefsAccount ** ipstruct1);
gboolean ui_accmgmt_emptycheck_onsetup2(GtkWidget * window);
gint ui_accmgmt_maxlength(gchar * acctname1, gchar * acctname2);
void ui_accmgmt_usrNameEmailChanged_cb(GtkEditable * editable, gchar * user_data);
void ui_accmgmt_smtpNamePwdChanged_cb(GtkEditable * editable, gpointer user_data);
void free_listmemory(GSList * listpointer);
gboolean ui_accmgmt_copyprefsaccount(PrefsAccount * s_update_prefsAccount);
void ui_accmgmt_display_dialog_for_feilds(const gchar * acct_name, guint win_flag);
void ui_accmgmt_insensitive_press_cb(GtkWidget * button, gchar * message);
void ui_accmgmt_setup2_insensitive_press_cb(GtkWidget * button, gboolean is_finish_operation);
void ui_accmgmt_server_name_changed_cb(GtkEditable * editable, GtkWidget * parent_dialog);
void ui_accmgmt_setup3_insensitive_press_cb(GtkWidget * button, gboolean is_finish_operaion);
void ui_accmgmt_inserttext_cb(GtkEditable * editable, gchar * new_text, gint new_text_length,
			      gint * position, gpointer user_data);

void ui_accmgmt_set_finish_button(GtkEditable * editable, gpointer user_data);
void ui_accmgmt_save_advance_setting_cb(GtkWidget * widget, gpointer data);
void ui_accMgmt_cancel_advance_setting_cb(GtkWidget * widget, gpointer data);
void ui_accmgmt_back_insensitive_press_cb(GtkWidget * button, gchar * message);
void ui_accmgmt_back_insensitive_press_cb(GtkWidget * button, gchar * message);
void ui_accmgmt_save_advancedvalues(void);
void ui_accmgmt_default_advancedvalues(void);
void ui_accmgmt_save_advancedvalues1(PrefsAccount * ui_accMgmt_accountinfo);
void on_ui_accounts_tab_help_activate(GtkWidget * win, gpointer data);
void ui_accmgmt_server_name_preedit_changed_cb(GtkEditable * editable, gchar * user_data);
void ui_accmgmt_server_name_commit_cb(GtkIMContext * imcontext, gchar * arg1, gpointer user_data);

void ui_accmgmt_usrNameEmailCommit_cb(GtkIMContext * imcontext, gchar * arg1, gpointer user_data);
void ui_accmgmt_user_name_email_changed_cb(GtkEditable * editable, gpointer user_data);
void ui_accmgmt_account_name_preedit_changed_cb(GtkEditable * editable, gpointer data);
void ui_accmgmt_account_name_commit_cb(GtkIMContext * imcontext, gchar * arg1, gpointer user_data);
gboolean ui_accmgmt_activate_focus(GtkWidget * dialog, GdkEventFocus * event, gpointer data);
void ui_account_create_progressbar(GtkWidget * parent_window, gpointer data);
void ui_resume_edit_accout_oper(void);
void ui_resume_delete_account_oper(void);
void ui_acctmgmt_change_security(GtkWidget * security_combo, gpointer user_data);
void ui_acctmgmt_change_incoming_port(GtkWidget * incoming_port, gpointer user_data);
void ui_acctmgmt_change_smtp_security(GtkWidget * smtp_security_combo, gpointer user_data);
#endif

/* End of file */
