/**
 *   @file check_names.h
 *
 *
 *    This file contains the declarations for check names module.
 *
 *    Copyright (c) 2005 Nokia. All rights reserved.
 *    
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *            
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *                
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *    USA.
 */

#ifndef __CHECK_NAMES_H__
#define __CHECK_NAMES_H__

#include <glib.h>

/**
 *  This function opens the address book 
 *  @return status #gboolean 
 */
gboolean open_addressbook (void);

/**
 *  This function stops the address book 
 */

void stop_addressbook(void);

/**
 *  This public function returns the resolved contacts to the editor for the given string
 *
 *  @param  searchstring  string to be searched for
 *  @param  econtact_id   Out param for storing UID of searched EContact
 *  @return comma separated string containing one or more resolved contacts
 */

gchar *get_resolved_contacts(gchar *searchstring, gchar** econtact_id);

#endif

