/**
 * @file email_clipboard.h
 *
 * This file is part of Email Application. This file contains the 
 * Clipboard related function headers.
 * 
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */


#ifndef __EMAIL_CLIPBOARD_H__
#define __EMAIL_CLIPBOARD_H__

#include <stdio.h>

#define CLIPBOARD_EMAILS "x-hildon/emails_copied"
#define CLIPBOARD_EMAILS_AND_ATTACH "x-hildon/emails_copied_and_attach"

void osso_email_clipboard_init(void);

void
osso_email_copy_to_clipboard(GtkWidget * fs, gchar * foldername, GSList * selection, gboolean cut);


void
osso_email_get_list_from_clipboard(GtkWidget * fs,
				   gchar ** foldername, GSList ** selection, gboolean * cut);


gboolean osso_email_clipboard_has_emails(GtkWidget * fs);

gboolean osso_email_clipboard_has_emails_for_attachment(GtkWidget * fs);

void osso_email_cut_paste_from_clipboard_done(GtkWidget * widget);

#endif
