/**
 * @file enablesignatures_callbacks.h
 *
 * This file contains the callback function headers that are being 
 * used by the enablesignature window.
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */


#ifndef __ENABLESIGNATURES_CALLBACKS_H__
#define __ENABLESIGNATURES_CALLBACKS_H__

// Header file containing all standerd paths.
#include "ui_common.h"
//Inclusion of User created header files.
#include "defs.h"
//User created header files.
#include "ui_utils.h"

#define SIGNATURENAME "signature.txt"
#define UNDERSCORE  "_"
#define ENABLE_SIGNATURES_FOR_ACCOUNTS  "Enable signatures for the following accounts"
#define NO_FILE_PERMISSIONS   " The signature file does not have access permissions.\n "
#define OK_DEF_SIGN           "OK"
#define SIGN_TREEVIEW_COL_WIDTH 200

GtkWidget *create_enablesignature_window(GSList * accounts);
void
enablesignatures_updatevalue_email_accounts(GtkCellRendererToggle * cell,
					    const gchar * strpath, gpointer data);

GtkWidget *enablesignatures_create_view_email_accounts(GSList * accounts);

GtkTreeModel *enablesignatures_create_and_fill_email_accounts(GSList * accounts);

gboolean enablesignatures_initializestore_accounts(GtkListStore * listStore);

void on_click_enablesignature_edit_button( /*@unused@ */ GtkWidget *
					  editbutton, GtkWidget * enablesignature_account_view);

void on_click_enablesignature_ok_button( /*@unused@ */ GtkWidget * button,
					gpointer enablesignaturedata);

void on_click_enablesignature_cancel_button( /*@unused@ */ GtkWidget * button,
					    gpointer enablesignaturedata);
gchar *read_from_file_to_string(const gchar * signaturefile);
gchar *read_stream_from_file_to_string(FILE * fileptr);
gint ui_get_string_maxlength(const gchar * acctname1, const gchar * acctname2);
gint ui_free_memory(gchar ** param);
gint check_sign_file_permission(const gchar * signPath);
void rename_signature_filepath(gchar * account, gchar * old_path);
gchar *get_signature_filepath(gchar * account);
void delete_signature_file(gchar * account);

#endif

/* end of file */
