/**
 * @file font_settings.h
 *
 * This file contains the function prototypes for font settings module
 * of OSSO EMAIL.
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
*/

#ifndef __FONT_SETTINGS_H__
#define __FONT_SETTINGS_H__

#include <gtk/gtk.h>

#define FONT_DIALOG_WIDTH 350
#define FONT_DIALOG_HEIGHT 150
#define ZERO_SPACING 0
#define ONE_PADDING 1
#define FIVE_PADDING 5
#define TEN_PADDING 10

/**
  This  function is for setting values from the font settings dialog

  @param widget is the pointer to the fontsettings_win.
  @return void.
 */
void set_font_values(GtkWidget * fontsettings_win);

/**
  This  function is  for creating the font settings dialog

  @return the GtkWidget pointer to the font dialog window.
 */
GtkWidget *launch_font_setting_dialog(void);

/**
  This is the callback function for calling the font settings dialog

  @param widget is the that registered the callback.
  @return void.
 */
void ui_on_font_setting_activate(GtkWidget * widget);
/**
  This is the callback function for launching options dialog

  @param widget is the that registered the callback.
  @return void.
*/
void ui_on_tools_options_activate(GtkWidget *tools_options);
#endif
