/**
 * @file intlsupport.h
 *
 * This is header file for localization support for OSSO_EMAIL
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */

#ifndef __INTL_SUPPORT_H__
#define __INTL_SUPPORT_H__

#include <libintl.h>
#include <gtk/gtk.h>

#define HILDON_LIBS "hildon-libs"
#define HILDON_COMMON_STR "hildon-common-strings"
#define HILDON_FM "hildon-fm"
#define KE_RECV "ke-recv"
#define _(String) dgettext(PACKAGE, String)
#define DGETTEXT_HLIBS(String) dgettext(HILDON_LIBS, String)
#define DGETTEXT_HCS(String) dgettext(HILDON_COMMON_STR, String)
#define DGETTEXT_FM(String) dgettext(HILDON_FM, String)
#define DGETTEXT_KE(String) dgettext(KE_RECV, String)
/*TODO: In future, the package names should be obtained from the corresponding 
        l10 package rather than using #define values. */

#endif
