/**
 * @file list_view.h
 *
 * This is header file for list view module of OSSO_EMAIL.
 * 
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */

#ifndef __LISTVIEW_H__
#define __LISTVIEW_H__

// Hash defines for this file.
#define OUTBOX_STATUS_WAITING_STRING     "Waiting"
#define OUTBOX_STATUS_SENDING_STRING     "Sending"
#define OUTBOX_STATUS_FAILED_STRING      "Failed"
#define OUTBOX_STATUS_ON_REQUEST_STRING  "On request"
#define OUTBOX_STATUS_SUSPENDED_STRING   "Suspended"

typedef enum {
	OUTBOX_STATUS_WAITING = 1,
	OUTBOX_STATUS_SENDING,
	OUTBOX_STATUS_FAILED,
	OUTBOX_STATUS_ON_REQUEST,
	OUTBOX_STATUS_SUSPENDED
} outbox_status;


enum {
	COLUMN_MSG_ICON,
	COLUMN_SEND_RECIP,
	COLUMN_ATTACH_ICON,
	COLUMN_SUBJECT,
	COLUMN_DATE_STATUS
};


void ui_create_listview_model(void);
void ui_delete_listview_model(gint modelNum);
GtkTreeModel *ui_create_folderview_model(void);
GtkWidget *ui_create_view_and_model(gint viewtype, gboolean createModel);
gboolean ui_add_listview_header(MsgHeader * header, guint modelNum, gboolean set_folder_to_view);
gboolean ui_remove_listview_header(const gchar * msgid, gint modelNum);
void ui_prepare_attachment_icon(void);
void ui_free_msg_header(MsgHeader * header);
GdkPixbuf *ui_get_message_display_icon(gboolean body_downloaded, gint priority,
				       gboolean read_status, gint smime);
gboolean ui_add_msg_if_not_present(gchar * msgid);

//Callback Functions
void ui_recv_single_cb(MsgHeader * header);

#endif

/* end of file */
