/**
 * @file signatures_callbacks.h
 *
 * This file contains the  function headers that are being used by the 
 * signature window.  
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 *  USA
 */


#ifndef __SIGNATURES_CALLBACKS_H__
#define __SIGNATURES_CALLBACKS_H__

#include <gtk/gtk.h>

#include "al_callbacks.h"

// UI_DBUS header files
#include "email_mgr.h"
#include "dbus_utils.h"
#include "ui_utils.h"

#define ZERO_RETURN  0
#define WRITE_MODE "wb"
#define TITLE_SIGNATURE  "E-mail signature"
#define TEXT_SIGNATURE   "E-mail signature for "
#define MYCARD "Attach My card:"
#define TEXT_OK  "OK"
#define TEXT_CANCEL "Cancel"

GtkWidget *create_signature_window(gchar * accountname, GtkWidget * enablesignature_account_view);

void on_click_signature_ok_button(GtkWidget * button, const gpointer signaturedata);

void on_click_signature_cancel_button(GtkWidget * button, gpointer signaturedata);

gchar *normalize_newlines_in_signature(const gchar * sign_text);

void sign_changed(GtkWidget * win, gboolean * sign_changed);
void free_sign_bool(GtkWidget * win, gboolean * sign_changed);

#endif
/*End of file */
