/**
 * @file ui_common.h
 * 
 * This file contains the standard inlcudes and definitions of OSSO_EMAIL
 *
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */

#ifndef __UI_COMMON_H__
#define __UI_COMMON_H__

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <errno.h>
#include <libosso.h>
#include <log-functions.h>
#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>
#include "osso-log.h"
#include <hildon-widgets/hildon-dialoghelp.h>
#include "ui_defs.h"
#include "ui_utils.h"
#include "intlsupport.h"
#include "email_hildon.h"

#define MAX_LEN 1000

#define CHECK_PARAM(condition, message,  iffail)   \
{                                                  \
  if(condition)  {                                 \
    ULOG_WARN ("%s\n",message);                    \
    iffail;                                        \
  }                                                \
}

#define ossohelp_exists(key) \
        ossohelp_show( NULL, key, OSSO_HELP_SHOW_JUSTASK )

#endif				//__UI_COMMON_H__
