/**
 * @file ui_defs.h
 *
 * This file contains all the hash definitions required by OSSO_EMAIL.
 * 
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */

#ifndef __UI_DEFS_H__
#define __UI_DEFS_H__

#define APP_NAME "Osso Email"
#define APP_VERSION "1.0"

#define CHANGED_EMAIL 0
#define RETAINED_EMAIL 1

#define COMBO_BOX_HEIGHT 30
/*Account Management related Definitions*/
#define CLICKED "clicked"
#define CHANGED "changed"
#define SETTING_SUCCESS 0
#define DISCARD_CHANGES "Discard changes"
#define EXIT_SETUP " Exit Setup ?"
#define IN_PORT 995
#define OUT_PORT 993
#define DEFAULT_SMTP_PORT 25
#define INCOMINGSERVER  "POP3"
#define INCOMINGSERVERIMAP  "(IMAP4)"
/*Editor-Viewer related definitions*/
#define INLINE "INLINE"
#define ADDR_SEPERATOR_CHAR ","
#define ATTACHMENT_SEPERATOR_CHAR ";"
#define SUBJECT_SEPERATOR_CHAR ':'
#define SUBJECT_SEPERATOR ":"
#define SQUARE_OPEN_BRACKET "["
#define ELLIPSE "..."
#define SIZE_SEPERATOR_CHAR '('
#define SIGN_DASH  "------------"
#define WHITE  65535
#define DEFAULT "default"
#define ATTACHM "attachment_"
#define ATTACH "attachments"
#define TMP "tmp"
#define BROWSER_CSS_FILE "/usr/share/osso-browser-opera/opera_dir/styles/mime.css"
#define EMAIL_CSS_FILE "/usr/share/osso-browser-opera/opera_dir/styles/email.css"
#define HIDE_HEADERS_ICON_PATH "/usr/share/themes/default/images"
#define THEME_IMAGES "/images/"
#define BASE64_SIZE_ADJUSTMENT 0.75
#define FONT_FAMILY_STR " font-family            :"
#define TEMP_HTML_FILE "file"
#define TEMP_PLAIN_FILE "temp"
#define TEMP_ATTACH_FILE "Attachment"
#define HTML_EXT ".html"
#define HTMLESCAPE '\"'
#define ENCODING "<META http-equiv=Content-Type content=\"text/html; charset="
#define END_ENCODING "\">"
#define EXT_SEP "."
#define EXT_CHAR '.'
#define VCF      "vcf"
#define URL_REGEXP "(((ftp://|http://|https://|file://|rtsp://)[[:alnum:]@\\.+/-]+\\.[[:alnum:]\\.+/-]+)|((mailto:)?[[:alnum:]\\.+-]+@[[:alnum:]\\.+/-]+\\.[[:alnum:]\\.+/-]+)|(www\\.[[:alnum:]\\.+/-]+\\.[[:alnum:]\\.+/-]+))"
#define MAILTO "mailto:"
#define LINK_SEP "\">"
#define HREF_MAIL_TO "<a href=\"mailto:"
#define HTTP_PROTO "http://"
#define HTTP_SECURE_PROTO "https://"
#define FTP_PROTO "ftp:/"
#define FILE_PROTO "file:/"
#define OBEX_PROTO "obex:/"
#define HREF "<a href=\""
#define HREF_END  "</a>"
#define HREF_SEP "\">"
#define HTML_NEW_LINE_END "</DIV>"
#define POP3_ACCT 0
#define ZERO 0
#define ONE 1
#define TWO 2
#define THREE 3
#define FOUR 4
#define FIVE 5
#define SIX 6
#define SEVEN 7
#define EIGHT 8
#define NINE 9
#define HUNDRED 100
#define DEFAULT_ZOOM 100
#define ZOOM_IN 50
#define ZOOM_MEDIUM 150
#define ZOOM_OUT 200
#define ZOOM_80 80 
#define ZOOM_120 120 
#define ZOOM_FACTOR 100.0
#define ZOOM_FACTOR_MIN 1.0
#define BUFFER_SIZE 1024
#define DEFAULT_FIELD_SIZE 3
/*Auto save time out : one minute*/
#define AUTO_SAVE_TIME_OUT 60000
#define NULLCHAR '\0'
#define NEW_LINE_CHAR '\n'
#define AT_THE_RATE '@'
#define AT_THE_RATE_STR "@"
/*Main UI, List view, Message handler, Folder Mgmt related definitions*/
#define MAIN_VIEW_ID "Main_view"
#define FOLDER_DIR_PATH "apps/email"
#define MULTIPART_ALTERNATIVE "multipart/alternative"
#define MULTIPART_RELATED "multipart/related"
#define MULTIPART_TEXT_HTML "text/html"
#define MULTIPART_SIGNED "multipart/signed"
#define MESSAGE_NOTIFICATION "message/disposition-notification"
#define APP_PKCS7 "pkcs7"
#define GREATER_THAN '>'
#define LESSER_THAN '<'
#define MINUS '-'
#define FORWD_SLASH  '/'
#define OPEN_BRACE   '('
#define UNREAD_COUNT_SEPERATOR " ("
#define DOT '.'
#define FOLDER_NAME_RESTRICTED_CHARS "^./"
#define SECONDS_IN_A_DAY 86400
#define UI_CONFIG_FILE "ui_settings.xml"
#define MAX_DATE_LEN 20
#define MAX_FOLDER_NAME_LEN 20
#define ATTRIBUTE_PIXBUF "pixbuf"
#define ATTRIBUTE_STOCK_ID "stock-id"
#define ATTRIBUTE_STOCK_SIZE "stock-size"
#define ATTRIBUTE_TEXT "text"
#define ATTRIBUTE_WEIGHT "weight"
#define ATTRIBUTE_WEIGHT_SET "weight-set"
#define ATTRIBUTE_SENSITIVE "sensitive"
#define ATTRIBUTE_XALIGN "xalign"
#define ATTRIBUTE_XPAD "xpad"
#define ATTRIBUTE_YPAD "ypad"
#define ATTRIBUTE_ELLIPSIZE "ellipsize"
#define ATTRIBUTE_ELLIPSIZE_SET "ellipsize-set"
#define TREE_COLUMN_MAX_WIDTH 150
#define CHECK_COLUMN_MAX_WIDTH 50
#define INBOX_MODEL_NUM 0
#define OUTBOX_MODEL_NUM 1
#define DRAFT_MODEL_NUM 2
#define SENT_MODEL_NUM 3
#define NUM_OF_MANDATORY_FOLDERS 4
#define ATTACHMENT_STATUS_BIT 64
#define EDITABLE_STATUS_BIT 128
#define READ_STATUS_BIT 2
#define VIEW_MSG_ID "View_Msg_Id"
#define WINDOW_NAME "Window_Name"
#define STATE_SAVE_DISABLED "State_save_disabled"
#define DEVICE_NAME "<Device>"
#define INBOX_ICON_SIZE 26
#define OUTBOX_ICON_SIZE 26
#define DRAFTS_ICON_SIZE 26
#define SENT_FOLDER_ICON_SIZE 26
#define ARCHIVE_ICON_SIZE 26
#define USER_FOLDER_ICON_SIZE 26
#define MSG_ICON_SIZE 26
#define LISTVIEW_TEXT_HEIGHT 30
#define TOOLBAR_BUTTON_HEIGHT 40
#define MAINVIEW_INBOX_TOOLBAR_MARGIN_BTW_BUTTONS 42
#define MAINVIEW_DEFAULT_TOOLBAR_MARGIN_BTW_BUTTONS 48
#define MAINVIEW_INBOX_TOOLBAR_LEFT_MARGIN 42
#define MAINVIEW_DEFAULT_TOOLBAR_LEFT_MARGIN 48
#define MAINVIEW_FULLSCR_TOOLBAR_RIGHT_MARGIN 80
#define MAINVIEW_DEFAULT_TOOLBAR_RIGHT_MARGIN 42
#define FOLDER_PANE_WIDTH 0.30
#define DEFAULT_ARCHIVE_MODEL_NUM -2
#define SP_DEVICE_MODEL_NUM -3
#define MEMORY_CARD_MODEL_NUM -4
#define DEFAULT_MODEL_NUM -1
#define DEFAULT_MSG_COUNT -1
#define DEFAULT_SELECTED_ROW -1
#define DEFAULT_ORIG_FOLDER -1
#define DEFAULT_DEST_FOLDER -1
#define ON_RIGHT_CLICK_PRESSED 3
#define INIT_VALUE -1
#define DEFAULT_UNREAD_UNSENT_COUNT -1
#define INVALID_MODEL_NUM -1
#define ROOT_PATH "0"
#define CHILD_PATH 2
#define INSENSITIVE_SIGNAL_NUM 1
#define SENSITIVE_SIGNAL_NUM 2
#define X_PADDING 6
#define Y_PADDING 0
#define FIELD_X_ALIGN 1
#define FIELD_Y_ALIGN 0
#define DATA_X_ALIGN 0
#define DATA_Y_ALIGN 0
#define MAINVIEW_INBOX_TOOLBAR_NORMAL_SIZE 170
#define MAINVIEW_DEFAULT_TOOLBAR_NORMAL_SIZE 145
#define MAINVIEW_TOOLBAR_FULLSCREEN_SIZE 225
#define FULLSCREEN_WIDTH 800
#define FONT_SETTINGS_DIALOG_WIDTH 550
#define EDIT_CONTACT_DIALOG_HEIGHT 270
#define CONTACTS_COLUMN_MAX_WIDTH 150

/*icon numbers*/
#define HEADER_READ_SIGN_HIGH 2
#define HEADER_UNREAD_SIGN_HIGH 2
#define BODY_READ_SIGN_HIGH 2
#define BODY_UNREAD_SIGN_HIGH 2

#define HEADER_READ_ENCRYPT_HIGH 3
#define HEADER_UNREAD_ENCRYPT_HIGH 3
#define BODY_READ_ENCRYPT_HIGH 3
#define BODY_UNREAD_ENCRYPT_HIGH 3

#define HEADER_READ_SIGN_NORMAL 4
#define HEADER_UNREAD_SIGN_NORMAL 4
#define BODY_READ_SIGN_NORMAL 4
#define BODY_UNREAD_SIGN_NORMAL 4

#define HEADER_READ_ENCRYPT_NORMAL 5
#define HEADER_UNREAD_ENCRYPT_NORMAL 5
#define BODY_READ_ENCRYPT_NORMAL 5
#define BODY_UNREAD_ENCRYPT_NORMAL 5

#define HEADER_READ_SIGN_LOW 6
#define HEADER_UNREAD_SIGN_LOW 6
#define BODY_READ_SIGN_LOW 6
#define BODY_UNREAD_SIGN_LOW 6


#define HEADER_READ_ENCRYPT_LOW 7
#define HEADER_UNREAD_ENCRYPT_LOW 7
#define BODY_READ_ENCRYPT_LOW 7
#define BODY_UNREAD_ENCRYPT_LOW 7

#define HEADER_READ_SIGN_ENCRYPT_LOW 8
#define HEADER_UNREAD_SIGN_ENCRYPT_LOW 8
#define BODY_READ_SIGN_ENCRYPT_LOW 8
#define BODY_UNREAD_SIGN_ENCRYPT_LOW 8


/*Signal definitions*/
#define VIEW_GET_STATE_VALUES_SIGNAL "get_state_values"
#define OPR_COMPLETE_SIGNAL 3
#define REFRESH_DIALOG_SIGNAL 4

/*ENV variable strings*/
#define LOCALE_SETTINGS_ENV_STR "LOCALE_SETTINGS"
#define PIXMAP_SETTINGS_ENV_STR "PIXMAP_SETTINGS"
#define PIXMAP_LOCATION_ENV_STR "PIXMAP_LOCATION"

/*Length definitions*/
#define MAX_GIVEN_NAME_ENTRY_LEN	256
#define MAX_SURNAME_ENTRY_LEN          	256
#define MAX_COMPANY_ENTRY_LEN          	256
#define MAX_TITLE_ENTRY_LEN            	256
#define MAX_EMAIL_ADDRESS_ENTRY_LEN    	256
#define MAX_EMAIL_HOME_ENTRY_LEN       	256
#define MAX_EMAIL_BUSINESS_ENTRY_LEN   	256
#define MAX_JOBTITLE_ENTRY_LEN         	256
#define MAX_ADDRESS_ENTRY_LEN 		1024
#define MAX_ADDRESS_HOME_ENTRY_LEN	1024
#define MAX_ADDRESS_BUSINESS_ENTRY_LEN 	1024
#define MAX_NOTE_ENTRY_LEN		1024
#define BUFFSIZE                        8192
#define MAX_TOKENS                      10
#define MAX_TOKENS_IN_MSGID             3

#define TAG_XMLDTD			"<?xml version=1.0 encoding=utf-8 ?>"
#define TAG_ADDRESSBOOK_START    	"<Addressbook>"
#define TAG_ADDRESSBOOK_END      	"</Addressbook>"
#define TAG_CONTACT_START       	"<Contact>"
#define TAG_CONTACT_END          	"</Contact>"
#define TAG_ID_START             	"<ID>"
#define TAG_ID_END              	"</ID>"
#define TAG_NAME_START          	"<Name>"
#define TAG_NAME_END            	"</Name>"
#define TAG_SURNAME_START       	"<Surname>"
#define TAG_SURNAME_END          	"</Surname>"
#define TAG_COMPANY_START       	"<Company>"
#define TAG_COMPANY_END         	"</Company>"
#define TAG_TITLE_START_CONTACT        	"<Title>"
#define TAG_TITLE_END_CONTACT          	"</Title>"
#define TAG_EMAIL_START         	"<Email>"
#define TAG_EMAIL_END            	"</Email>"
#define TAG_EMAILHOME_START     	"<Emailhome>"
#define TAG_EMAILHOME_END            	"</Emailhome>"
#define TAG_EMAILBUSINESS_START         "<Emailbusiness>"
#define TAG_EMAILBUSINESS_END           "</Emailbusiness>"
#define TAG_JOBTITLE_START              "<Jobtitle>"
#define TAG_JOBTITLE_END            	"</Jobtitle>"
#define TAG_ADDRESS_START          	"<Address>"
#define TAG_ADDRESS_END            	"</Address>"
#define TAG_ADDRESSHOME_START           "<Addresshome>"
#define TAG_ADDRESSHOME_END             "</Addresshome>"
#define TAG_ADDRESSBUSINESS_START       "<Addressbusiness>"
#define TAG_ADDRESSBUSINESS_END         "</Addressbusiness>"
#define TAG_NOTE_START          	"<Note>"
#define TAG_NOTE_END            	"</Note>"
#define INDENT				"   "
#if RETAINED_EMAIL
#define STD_FOLDER_MENUS		6
#else
#define STD_FOLDER_MENUS		5
#endif
#define HTML_SPACE			"%20"
#define COMMA 				','
#define COMMA_S 			","
#define TAB_CHAR                             '\t'
#define TAB_STRING	                        "\t"
#define CARRIAGE_RETURN                 "\n"
#define APPEND_MODE                     "a+"
#define SEMICOLON                       ";"
#define SEMICOLON_C                     ';'
#define SPACE                           " "
#define DUMMY_VAL                       ""
#define NULL_CHAR                       "\0"
#define AT_RATE                         '@'
#define L_THAN                       '<'
#define G_THAN                      '>'
#define EQUAL_TO                        "="
#define GDK_Return                      0xFF0D

#define         CONTACT_EMAIL           1
#define         EMAIL_HOME              2
#define         EMAIL_BUSSINESS         4
#define         JOBTITLE                8
#define         COMPANY_NAME            16
#define         ADDRESS                 32
#define         ADDRESS_HOME            64
#define         ADDRESS_BUSSINESS       128
#define         CONTACT_NOTE            256
#define         CONTACT_OTHER                   512

#define CONTACT_FIELDS "Contact_Fields_Struct"
#define EMAIL_SPACE            ' '
#define CAPTION_CONTROL_INFO "Caption_Control_Info"
#define CAPTION_CONTROL "Caption_Control"
#define CONTACT_INFO_LIST "Contact_Info_List"
#define NOT_IMPLEMENTED_YET "Not Implemented Yet..!"
#define DEFAULT_ADDRESS "default@default.com"


#define 	HELP_ID_DEFAULT                 "email"
#define 	HELP_ID_SECURITY_DIALOG 	"applications_email_security_dialog"
#define 	HELP_ID_INBOX 			"applications_email_inbox"
#define 	HELP_ID_SENT 			"applications_email_sent"
#define 	HELP_ID_OUTBOX 			"applications_email_outbox"
#define 	HELP_ID_DRAFTS 			"applications_email_drafts"
#define 	HELP_ID_USERFOLDER 		"applications_email_userfolder"
#define 	HELP_ID_ARCHIVE 		"applications_email_archive"
#define 	HELP_ID_EDITOR	 		"applications_email_editor"
#define 	HELP_ID_VIEWER	 		"applications_email_viewer"
#define 	HELP_ID_ACCOUNTSDIALOG	 	"applications_email_accountsdialog"
#define 	HELP_ID_WELCOMETOSETUP	 	"applications_email_welcometosetup"
#define 	HELP_ID_ACCOUNTDETAILS	 	"applications_email_accountdetails"
#define 	HELP_ID_USERDETAILS	 	"applications_email_userdetails"
#define 	HELP_ID_SERVERDETAILS	 	"applications_email_serverdetails"
#define 	HELP_ID_SETUPCOMPLETE	 	"applications_email_setupcomplete"
#define 	HELP_ID_ADVANCEDOPTIONS	 	"applications_email_advancedoptions"
#define 	HELP_ID_RETRIEVALTAB	 	"applications_email_retrievaltab"
#define 	HELP_ID_SENDINGTAB	 	"applications_email_sendingtab"
#define 	HELP_ID_SMTPSENDINGTAB	 	"applications_email_smtpsendingtab"
#define 	HELP_ID_OTHERTAB	 	"applications_email_othertab"
#define 	HELP_ID_SECURITYTAB	 	"applications_email_securitytab"
#define 	HELP_ID_MANAGEFOLDERS	 	"applications_email_managefolders"
#define 	HELP_ID_MOVETOFOLDERS	 	"applications_email_movetofolders"
#define 	HELP_ID_SAVEOBJECT	 	"applications_email_saveobject"
#define 	HELP_ID_SAVEOBJECTS	 	"applications_email_saveobjects"
#define 	HELP_ID_SELECTFILE	 	"applications_email_selectfile"
#define 	HELP_ID_SIGNATURES	 	"applications_email_signatures"
#define 	HELP_ID_SIGNATUREEDITOR	 	"applications_email_signatureeditor"
#define 	HELP_ID_SORT	 		"applications_email_sort"
#define 	HELP_ID_SCHEDULING	 	"applications_email_scheduling"
#define 	HELP_ID_SCHEDULINGSETTINGS 	"applications_email_schedulingsettings"
#define 	HELP_ID_FONTEDITOR 		"applications_email_fonteditor"
#define 	HELP_ID_FONTPREVIEW 		"applications_email_fontpreview"
#define 	HELP_ID_SENDINGOPTIONS 		"applications_email_sendingoptions"
#define 	HELP_ID_NEWFOLDER 		"applications_email_newfolder"
#define 	HELP_ID_MAILPASSWORD 		"applications_email_mailpassword"
#define 	HELP_ID_SELECTADDRESS 		"applications_email_selectaddress"
#define 	HELP_ID_RENAMEFOLDER 		"applications_email_renamefolder"
#define 	HELP_ID_ADDTOCONTACTS 		"applications_email_addtocontacts"
#define 	HELP_ID_ADDFIELD 		"applications_email_addfield"
#define 	HELP_ID_MULTIPLECONTACTSELECT 	"applications_email_multiplecontactselect"
#define 	HELP_ID_EDITCONTACT 		"applications_email_editcontact"
#define 	HELP_ID_NEWCONTACT 		"applications_email_newcontact"
#define 	HELP_ID_FOLDERSETTINGS 		"applications_email_foldersettings"
#define 	HELP_ID_MESSAGEPROPERTIES 	"applications_email_messageproperties"
#define 	HELP_ID_FOLDERPROPERTIES 	"applications_email_fodlerproperties"
#define 	HELP_ID_FONTSETTINGS 		"applications_email_fontsettings"
#define 	HELP_ID_IMPORTEXPORTCONTACTS1 	"applications_email_importexportcontacts1"
#define 	HELP_ID_IMPORTEXPORTCONTACTS2 	"applications_email_importexportcontacts2"
#define 	HELP_ID_IMPORTEXPORTCONTACTS3 	"applications_email_importexportcontacts3"
#define 	HELP_ID_IMPORTEXPORTCONTACTS4 	"applications_email_importexportcontacts4"

#endif
