/**
 * @file ui_error_codes.h
 * 
 * This file contains all the text definitions corresponding to engine error
 * codes, required by OSSO_EMAIL.
 *  
 * Copyright (c) 2005 Nokia. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
 * USA.
 */

#ifndef __UI_ERROR_CODES_H__
#define __UI_ERROR_CODES_H_

#define FOLDER_REMOVE_MSG_CONN_ERROR (FOLDER_ERROR_BASE + 50)

#define 	UI_SMTP_RCPT_LIST_INVALID		"smtp recipient list invalid"
#define 	UI_SMTP_SUBJECT_IS_EMPTY		"smtp subject is empty"
#define 	UI_SMTP_FILE_WRITE_ERROR		"smtp file write operation failed"
#define 	UI_SMTP_WRITE_HEADERS_ERROR		"smtp compose failed"
#define 	UI_SMTP_FILE_POINTER_NULL    		"smtp file operation failed"
#define 	UI_SMTP_CHARSET_NULL         		"smtp charset null"
#define 	UI_SMTP_ACCOUNT_NULL         		"smtp account is invalid"
#define 	UI_SMTP_EMAIL_ADDRESS_NULL   		"smtp email address is null"
#define 	UI_SMTP_FILE_CLOSE_ERROR     		"smtp file operation failed"
#define 	UI_SMTP_MESSAGE_NULL         		"smtp message body is null"
#define 	UI_SMTP_MESSAGE_INFO_NULL    		"smtp message information null"
#define 	UI_SMTP_ATTACH_LIST_NULL     		"smtp attachment list contains null"
#define 	UI_SMTP_CONNECTING_TO_SERVER 		"smtp connecting to server"
#define 	UI_SMTP_BAD_RESPONSE         		"smtp protocal received bad response"
#define 	UI_SMTP_ACCOUNT_NAME_INVALID 		"smtp account name is invalid"
#define 	UI_SMTP_EMAIL_INVALID        		"smtp email is invalid"
#define 	UI_SMTP_USERID_INVALID       		"smtp userid is invalid"
#define 	UI_SMTP_PASSWD_INVALID       		"smtp password in invalid"
//#define       UI_SMTP_SERVER_INVALID                  "smtp server is invalid"              
//#define       UI_SMTP_AUTHTYPE_INVALID                "smtp authentication not supported"              
#define 	UI_SMTP_ATTACH_LIST_INVALID  		"smtp attachment list invalid"
#define 	UI_SMTP_INIT_FAILED          		"smtp initialisation failed"
#define 	UI_SMTP_FILE_NAME_NULL       		"smtp file name null"
#define 	UI_SMTP_MSG_HDR_NULL         		"smtp message header information null"
#define 	UI_SMTP_FILE_OPEN_ERROR      		"smtp file open error"
#define 	UI_SMTP_SESSION_INVALID      		"smtp session invalid"
#define 	UI_SMTP_SESSION_CREATE_ERROR 		"smtp session creation error"
//#define       UI_SMTP_SESSION_CONNECT_ERROR           "smtp session connection error"
#define 	UI_SMTP_SESSION_FROM_ERROR    		"smtp session error"
#define 	UI_SMTP_INTERNAL_ERROR        		"smtp internal error"
//#define       UI_SMTP_SEND_ERROR                      "smtp send operation failed.Please try again later"             
#define 	UI_SMTP_AUTHENTICATION_FAIL_ERROR 	"smtp authentication failed"
#define 	UI_SMTP_COPYTO_SENT_FOLDER_ERROR  	"smtp copy to sent folder failed"
#define 	UI_SMTP_COPYTO_OUT_FOLDER_ERROR   	"smtp copy to out folder failed"
#define 	UI_SMTP_COPYTO_DRAFT_FOLDER_ERROR	"smtp copy to draft folder failed"

#define 	UI_POP3_MSG_CONNECT_ERROR		"Not able to establish connection"
#define 	UI_POP3_MSG_AUTH_ERROR			"authentication failed"
#define 	UI_POP3_MSG_LOCK_ERROR			"mail box is locked"
#define 	UI_POP3_MSG_RECV_ERROR			"Error occured while processing e-mail, message may not exist on server."
#define 	UI_POP3_MSG_RECV_CANCEL			"session is cancelled by the user"
#define 	UI_POP3_MSG_IO_ERROR			"error in writing to file"
#define 	UI_POP3_MSG_SOCKET_ERROR		"error in socket operation"
#define 	UI_POP3_MSG_SESSION_ERROR		"Error in opening the session"
#define 	UI_POP3_MSG_EOF				"Connection closed by the remote host"
#define 	UI_POP3_MSG_LIST_ERROR			"Message list error"
#define 	UI_POP3_MSG_ID_ERROR			"Message Id error"
#define 	UI_POP3_MSG_NOSUPPORT_ERROR		"No support error"
#define 	UI_POP3_MSG_SIZELIMIT_ERROR		"Message size limit error"
#define 	UI_POP3_MSG_DELETE_ERROR		"Error occured while processing e-mail, message may not exist on server."

#define 	UI_IMAP_PARAMETER_MISSING		"invalid parameter"
#define 	UI_IMAP_CONNECT_SERVER_ERROR		"invalid session parameter(userid, passwd, server, port)"
#define 	UI_IMAP_UID_FETCH_ERROR			"not able to fetch the message"
#define 	UI_IMAP_INBOX_SELECT_ERROR		"not able to select the inbox in the server"
#define 	UI_IMAP_CLOSE_ERROR			"not able to close the server inbox"
#define 	UI_IMAP_FLAG_SET_ERROR			"not able to set the flag for the message"
#define 	UI_IMAP_EXPUNGE_ERROR			"not able to delete the message on the server"
#define 	UI_IMAP_MSG_FETCH_ERROR			"not able to fetch the message"
#define 	UI_IMAP_SOCKET				"imap socket error"
#define 	UI_IMAP_ERROR				"imap error connection"
#define 	UI_IMAP_AUTHFAIL			"authentication failure error"
#define 	UI_IMAP_PROTOCOL			"imap protocol error"
#define 	UI_IMAP_SYNTAX				"imap command invalid syntax"
#define 	UI_IMAP_IOERR				"imap input output error"
#define 	UI_IMAP_INVALID_UID			"invalid message id"
#define 	UI_IMAP_MSG_SIZE_EXCEED_ERROR		"message size limit violation"
#define 	UI_IMAP_INVALID_MSGID_ERROR		"invalid message id"
#define 	UI_IMAP_MAIL_ALREADY_DOWNLOADED		"message already downloaded"
#define 	UI_IMAP_MESSAGE_NOT_AVAILABLE_IN_SERVER	"message not available in the server"
#define 	UI_IMAP_NO_HEADERS_DOWNLOADED		"no headers downloaded"
#define		UI_IMAP_SERVER_NOT_SUPPORT_ERROR	"Imap server does not support for this operation"
#define		UI_IMAP_INVALID_RECENT_MAIL_SETTING	"invalid recent mail setting in the accountrc file"

#define 	UI_FOLDER_CREATE_ERROR			"folder creation failed"
#define 	UI_FOLDER_DELETE_ERROR			"folder deletion failed"
#define 	UI_FOLDER_RENAME_ERROR			"folder rename failed"
#define 	UI_FOLDER_FILE_OPEN_ERROR		"not able to open the file"
#define 	UI_FOLDER_FILE_WRITE_ERROR		"not able to write the folderlist xml file"
#define 	UI_FOLDER_READ_ERROR			"not able to read the folderlist.xml file"
#define 	UI_FOLDER_REMOVE_MSG_ERROR		"not able to remove the message"
#define 	UI_FOLDER_REMOVE_MSG_CONN_ERROR		"Server connection not available. Message queued for deletion"
#define 	UI_FOLDER_REMOVE_MSGS_ERROR		"not able to remove the messages"
#define 	UI_FOLDER_MOVE_MSG_ERROR		"not able to move message"
#define 	UI_FOLDER_DEST_FILE_NOT_FOUND		"destination file not found"
#define 	UI_FOLDER_SRC_FILE_NOT_FOUND		"source file not found"
#define 	UI_FOLDER_MSG_FILE_ERROR		"folder message file error"
#define 	UI_FOLDER_MSG_FOLDER_ERROR		"folder message folder error"
#define 	UI_FOLDER_MSG_PATH_ERROR		"folder message path error"
#define 	UI_FOLDER_UPDATE_MSG_STATUS_ERROR	"not able to update the message status"
#define 	UI_FOLDER_POPULATE_ERROR		"not able to populate folder"
#define 	UI_FOLDER_GET_HEADER_ERROR		"not able to get he message header"
#define 	UI_FOLDER_GET_MSG_FOLDER_ERROR		"not able to get the message"
#define 	UI_FOLDER_SCAN_ERROR			"not able to scan the folder"
#define 	UI_FOLDER_REMOVE_ALL_MSGS_ERROR		"not able to remove all  the messages in the folder"
#define 	UI_FOLDER_MOVE_MSGS_ERROR		"not able to move messages"
#define 	UI_FOLDER_STANDARD_FOLDER_DELETION_ERROR	"trying to delete the standard folder"
#define 	UI_FOLDER_STANDARD_FOLDER_RENAME_ERROR	"trying to rename standard folder"
#define 	UI_FOLDER_STANDARD_FOLDER_CREATION_ERROR	"trying to create standard folder"
#define 	UI_FOLDER_EXISTING_ERROR		"folder existing errror"
#define 	UI_FOLDER_DOESNOT_EXIST_ERROR		"folder doesnot exist"
#define 	UI_FOLDER_MSG_ERROR			"message error"
#define 	UI_FOLDER_ERROR				"folder operation error"
#define 	UI_FOLDER_PARAM_MISSING_ERROR		"invalid parameter"
#define 	UI_FOLDER_INVALID_PATH_ERROR		"invalid message path"
#define 	UI_FOLDER_PATH_NOT_EXIST_ERROR		"message path not existing"
#define 	UI_FOLDER_COPY_MSG_ERROR		"not able to copy the message"
#define 	UI_FOLDER_COPY_MSGS_ERROR		"not able to copy the messages"
#define 	UI_FOLDER_NO_PERMS			"Operation failed. Folder does not have necessary permissions"


#define 	UI_SSL_INIT_FAILED		        "ssl initialisation failed"
#define 	UI_SSL_SERVER_NOT_SUPPORTED		"Server doesnot support ssl "
#define 	UI_SSL_SOCKET_CONNECTION_FAILED		"ssl socket connection failed "
#define         UI_SSL_INVALID_SSL_METHOD               "selected method is not supported by ssl"
#define         UI_SSL_CIPHER_KEY_NOT_SUPPORTED         "ssl cipher not supported."
#define         UI_SSL_CIPHER_KEY_STRENGTH_NOT_SUPPORTED "ssl cipher key strength not supported"
#define         UI_SSL_INTERNAL_ERROR                    "ssl internal error"

#define 	UI_SSL_LOAD_CIPHER_ERROR		"ssl library initialization error(not able to load cipher list)"
#define         UI_SSL_CIPHER_SUPPORT_ERROR             "cipher not supported by the client"
#define         UI_SSL_CIPHER_KEY_SUPPORT_ERROR         "cipher key strength not supported"
#define         UI_SSL_SERVER_CERT_NULL_ERROR                "ssl library initialization failed\n (server certificate not received from the server)"

#define         UI_SSL_SERVER_CERT_INVALID_ERROR         "invalid server certificate"
#define         UI_SSL_SERVER_CERT_EXPIRED_ERROR         "ssl server certificate expired"
#define         UI_SSL_SERVER_CERT_DOMAIN_INVALID_ERROR  "server name in certificate mismatch"
#define         UI_SSL_ROOTCA_LIST_NULL_ERROR            "root ca list ($HOME/mail_cert_dir/cert.pem )not found"
#define         UI_SSL_CIPHER_NOT_FOUND_ERROR            "cipher name not found"


#define         UI_ENGINE_INVALID_FOLDER                 "invalid folder"
#define         UI_ENGINE_FILE_DOES_NOT_EXIST_ERROR      "mail not found"
#define         UI_ENGINE_FOLDER_MESSAGE_DEL_LIST_FAILED  "message del list failed"
#define         UI_ENGINE_INVALID_PROTOCOL_ERROR         "invalid protocol"
#define         UI_ENGINE_INVALID_MSGID_ERROR            "invalid msgid"
#define         UI_ENGINE_NO_MEM_ERROR            "out of memory"
#define         UI_ENGINE_FILE_ERROR                     "file operation not supported"
#define         UI_ENGINE_MIME_INVALID_ERROR              "invalid mime content"
#define         UI_ENGINE_FILE_IS_NOT_REGULAR_TYPE        "file is not of regular type "
#define         UI_ENGINE_FILE_STAT_FAILED                "stat failed"
#define         UI_ENGINE_NO_FILE_PERM                     "no file permissions"
#define         UI_ENGINE_NO_FOLDER_PERM                   "no folder permissions"
#define         UI_ENGINE_NULL_SUB_MIME_ERROR              "invalid RFC 822 mime information"
#define         UI_ENGINE_NULL_PART_INFO_ERROR             "invalid mime info information"
#define         UI_ENGINE_INVALID_FILE_CONTENT             "invalid file content"
#define         UI_ENGINE_PARSE_FAIL_ERROR                  "file/response parsing failed"
#define         UI_ENGINE_FILE_NOT_FOUND_ERROR              "file not found "
#define         UI_ENGINE_INVALID_PARAM_ERROR               "invalid parameter"
/*smime related error codes*/
#define         UI_SMIME_NO_CERT_FOR_SIGNING               "There is no certificate for signing."
#define         UI_SMIME_NO_PRIVATE_KEY_FOR_SIGNING         "There is no private key for signing the certificate"
#define         UI_SMIME_UNABLE_TO_RETRIEVE_CERT            "Unable to retrive the certificate."
#define         UI_SMIME_SIGNING_PROCESSING_ERROR           "Error while signing."
#define         UI_SMIME_UNABLE_TO_SIGN                     "Unable to sign"
#define         UI_SMIME_ENCRYPT_PROCESSING_ERROR           "Error while encrypting."
#define         UI_SMIME_NO_PRIVATE_CERT_FOR_SIGNING        "There is no private certificate for signing."

#endif				/* __UI_ERROR_CODES_H_ */
